Bug 1760415 - updates-testing is still enabled
Summary: updates-testing is still enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohan Boddu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F31FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2019-10-10 13:41 UTC by Kamil Páral
Modified: 2019-10-13 17:55 UTC (History)
9 users (show)

Fixed In Version: fedora-repos-31-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-13 17:55:57 UTC


Attachments (Terms of Use)

Description Kamil Páral 2019-10-10 13:41:08 UTC
Description of problem:
In the latest Fedora-31-20191010.n.0 compose updates-testing(-modular) repos are still enabled. That seems unfit for GA release, proposing as a blocker.

Version-Release number of selected component (if applicable):
Fedora-31-20191010.n.0 (tried Workstation Live)

Comment 1 Adam Williamson 2019-10-10 15:38:38 UTC
yeah, this is around the time we need to be getting the finalized fedora-release and fedora-repos packages I guess.

Comment 2 Adam Williamson 2019-10-10 15:52:10 UTC
sorry, in case it's not clear, +1 blocker - criterion is https://fedoraproject.org/wiki/Fedora_31_Final_Release_Criteria#Release_identification, "A fedora-release package containing the correct names, information and repository configuration for a final Fedora release must be present on release-blocking images and the appropriately versioned generic-release package must be available in the release repository."

we should tweak the wording of that criterion to reflect that fedora-repos is now a separate package, but the intent is clear.

Comment 3 Kamil Páral 2019-10-10 16:15:10 UTC
+1 blocker

Comment 4 Ben Cotton 2019-10-10 17:02:09 UTC
+1 blocker

Comment 5 Mohan Boddu 2019-10-10 17:18:24 UTC
+1 Blocker

https://src.fedoraproject.org/rpms/fedora-repos/pull-request/43 should fix this.

Comment 6 Kevin Fenzi 2019-10-10 17:22:16 UTC
+1 blocker

Comment 7 František Zatloukal 2019-10-10 17:42:46 UTC
+1 Blocker

Comment 8 Adam Williamson 2019-10-10 17:54:35 UTC
That's +6, accepting.

Comment 9 Fedora Update System 2019-10-11 18:55:31 UTC
FEDORA-2019-1be4cf1f58 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1be4cf1f58

Comment 10 Fedora Update System 2019-10-13 00:56:24 UTC
fedora-release-31-1, fedora-repos-31-1 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1be4cf1f58

Comment 11 Fedora Update System 2019-10-13 17:55:57 UTC
fedora-release-31-1, fedora-repos-31-1 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.